TICKIT_UTF8_MBSWIDTH(3)

NAME
tickit_utf8_mbswidth, tickit_utf8_byte2col, tickit_utf8_col2byte - count the column width of a Unicode string

SYNOPSIS
    #include <tickit.h>

    int tickit_utf8_mbswidth(const char *str);

    int tickit_utf8_byte2col(const char *str, size_t byte);
    size_t tickit_utf8_col2byte(const char *str, int col );

Link with -ltickit.

DESCRIPTION
These functions are a set of shortcut wrappers around tickit_utf8_count(3) for performing a single simple counting operation on a given string. When performing multiple operations on a given string, it is more efficient to use tickit_utf8_count() directly.

tickit_utf8_mbswidth() returns the number of columns wide the given Unicode string consumes.

tickit_utf8_byte2col() and tickit_utf8_col2byte() convert between byte and column indexes within a given string; returning one when given the other.

RETURN VALUE
tickit_utf8_mbswidth() and tickit_utf8_byte2col() return an integer column count. tickit_utf8_col2byte() returns an integer byte count.

SEE ALSO
tickit_utf8_count(3), tickit(7)